wlan-decoder-java 1.0

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
fr.bmartel.protocol.wlan.frame.WlanManagementAbstr Class Reference
Inheritance diagram for fr.bmartel.protocol.wlan.frame.WlanManagementAbstr:
[legend]
Collaboration diagram for fr.bmartel.protocol.wlan.frame.WlanManagementAbstr:
[legend]

## Public Member Functions
| WlanManagementAbstr (byte[] frame)
byte[] | getFcs ()
byte[] | getDurationId ()
byte[] | getDestinationAddr ()
byte[] | getSourceAddr ()
byte[] | getBSSID ()
byte[] | getSequenceControl ()
byte[] | getFrameBody ()

## Detailed Description

Basic management frame

- duration id : 2 Bytes
- destination addr : 6 Bytes
- source addr : 6 Bytes
- BSSID : 6 Bytes
- sequence control : 2 Bytes
- frame body : 0-2312 Bytes

Author
  Bertrand Martel

## Constructor & Destructor Documentation

fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.WlanManagementAbstr | ( | byte[] | frame) |  |

Build basic management frame from wlan frame

Parameters

  frame | wlan frame with control frame omitted

## Member Function Documentation

byte [] fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.getBSSID | ( | ) |  |

retrieve BSSID address

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.getDestinationAddr | ( | ) |  |

retrieve destination address

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.getDurationId | ( | ) |  |

retrieve duration id

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.getFcs | ( | ) |  |

Frame Check Sequence

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.getFrameBody | ( | ) |  |

retrieve frame body byte array

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.getSequenceControl | ( | ) |  |

retrieve sequence control frame

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.getSourceAddr | ( | ) |  |

retrieve source address

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.

The documentation for this class was generated from the following file:

- /home/abathur/Bureau/wlandecoder/wlandecoder/src/fr/bmartel/protocol/wlan/frame/WlanManagementAbstr.java